SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002730: Support TUN with OpenVPN Clients (gw2gw) - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002730Endian FirewallNetwork related (VPN, uplinks)public2010-02-27 23:432010-11-22 11:51
Reporterwurley 
Assigned Topeter-endian 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3 
Target VersionFixed in Version2.4.1 
Summary0002730: Support TUN with OpenVPN Clients (gw2gw)
DescriptionWhen using TUN mode connections, the remote end can publish routes and auto-configure its own routing table (when the link comes up using "iroute" in the client CCD directory). (Specially when the remote end may not be an endian device).

This means when using endian with a remote server, Endians' job is to just connection - it receives routes from the remote end and the remote end configures itself accordingly.

That said, it would be good if "server" mode could support tun and do the same thing...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-02-27 23:43 wurley New Issue
2010-03-04 19:35 peter-endian Severity major => feature
2010-09-24 09:05 peter-endian Status new => resolved
2010-09-24 09:05 peter-endian Fixed in Version => 2.4.1
2010-09-24 09:05 peter-endian Resolution open => fixed
2010-09-24 09:05 peter-endian Assigned To => peter-endian
2010-11-22 11:51 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker